nl.topicus.jdbc

## Class MetaDataStore

- java.lang.Object
- - nl.topicus.jdbc.MetaDataStore

    public class MetaDataStore
    extends Object

Class for storing meta data needed for translating SQL statements into Cloud Spanner mutations, such as key columns and their ordinal positions

Author:
  Olav

### Nested Class Summary

Nested Classes
`class` `MetaDataStore.TableKeyMetaData` Class for storing the primary key columns of a table in the correct order.

### Method Summary

All Methods Instance Methods Concrete Methods
`MetaDataStore.TableKeyMetaData` `getTable(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getTable

    public MetaDataStore.TableKeyMetaData getTable(String name)
                                            throws SQLException

Throws:
  `SQLException`